import { IRangeComponent } from '../../../../../../types/src/table';
import { default as Range } from './Range';

export default class RangeComponent implements IRangeComponent {
    _range: Range;
    [key: string]: any;
    constructor(range: Range);
    getElement(): HTMLElement | null;
    getData(): any[];
    getCells(): any[];
    getStructuredCells(): any[];
    getRows(): any[];
    getColumns(): any[];
    getBounds(): {
        end: any;
        start: any;
    };
    getTopEdge(): number;
    getBottomEdge(): number;
    getLeftEdge(): number;
    getRightEdge(): number;
    setBounds(start: any, end: any): void;
    setStartBound(start: any): void;
    setEndBound(end: any): void;
    clearValues(): void;
    remove(): void;
}
